{ pkgs, nvim-config, ...}: {
	home.packages = with pkgs; [
		ruff
		pyright
		gcc
		marksman
		lua-language-server
	];

  programs.neovim = {
    enable = true ;
    viAlias = true ;
    vimAlias = true;
  };
  home.file.".config/nvim" = {
    source = nvim-config ;
    recursive = true ;
  };
  programs.ruff = {
    enable = true ;
    settings = {
      line-length = 100;
      per-file-ignores = { "__init__.py" = [ "F401" ]; };
      lint = {
        select = [ "E4" "E7" "E9" "F" ];
        ignore = [ ];
      };
    };
  };
}

# vim: set ts=2 sw=2 sts=2 et :
